summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author fourtysixandtwo <fourtysixandtwo@sliderr.net>2023-06-17 07:42:01 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2023-06-17 07:42:01 +0700
commit8c35141351fc4826dd3d586838e525c0e99a67ee (patch)
tree5cf77155fb7ed46d69d9949bf9ca33737136a697
parent98f7ef6b7f9c906814617fa599c01dd1d2e77c9a (diff)
downloadslackbuilds-8c35141351fc4826dd3d586838e525c0e99a67ee.tar.gz
slackbuilds-8c35141351fc4826dd3d586838e525c0e99a67ee.tar.xz
python/python3-setuptools-rust-opt: Added (plugin for setuptools).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--python/python3-setuptools-rust-opt/README11
-rw-r--r--python/python3-setuptools-rust-opt/python3-setuptools-rust-opt.SlackBuild107
-rw-r--r--python/python3-setuptools-rust-opt/python3-setuptools-rust-opt.info10
-rw-r--r--python/python3-setuptools-rust-opt/slack-desc19
4 files changed, 147 insertions, 0 deletions
diff --git a/python/python3-setuptools-rust-opt/README b/python/python3-setuptools-rust-opt/README
new file mode 100644
index 0000000000..168558a39c
--- /dev/null
+++ b/python/python3-setuptools-rust-opt/README
@@ -0,0 +1,11 @@
+python3-setuptools-rust-opt (setuptools-rust installed to /opt)
+
+setuptools-rust is a plugin for setuptools to build Rust Python
+extensions implemented with PyO3 or rust-cpython.
+
+Installs to /opt/python3.9/site-packages
+
+Add the following before the python3 build commands in your
+Slackbuild to use this version over the stock one in 15.0:
+
+export PYTHONPATH=/opt/python3.9/site-packages/
diff --git a/python/python3-setuptools-rust-opt/python3-setuptools-rust-opt.SlackBuild b/python/python3-setuptools-rust-opt/python3-setuptools-rust-opt.SlackBuild
new file mode 100644
index 0000000000..416076ffa7
--- /dev/null
+++ b/python/python3-setuptools-rust-opt/python3-setuptools-rust-opt.SlackBuild
@@ -0,0 +1,107 @@
+#!/bin/bash
+
+# Slackware build script for python3-setuptools-rust-opt
+
+# Copyright 2023 fourtysixandtwo <fourtysixandtwo@sliderr.net>
+# Copyright 2021 Willy Sudiarto Raharjo <willysr@slackbuilds.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=python3-setuptools-rust-opt
+SRCNAM=setuptools-rust
+VERSION=${VERSION:-1.6.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+ARCH=noarch
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
+
+export PYTHONPATH=/opt/python3.9/site-packages/
+python3 -m build --no-isolation
+python3 -m installer -d "$PKG" dist/*.whl
+
+if [ "$PKG/usr/" != "/usr/" ]; then
+ mkdir -p $PKG/opt
+ mv $PKG/usr/lib*/python3.9 $PKG/opt/
+ rmdir $PKG/usr/lib*
+else
+ echo "ERROR: \$PKG is not set! We don't want to move the real /usr/lib*/python3.9"
+ exit 1
+fi
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a *.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/python/python3-setuptools-rust-opt/python3-setuptools-rust-opt.info b/python/python3-setuptools-rust-opt/python3-setuptools-rust-opt.info
new file mode 100644
index 0000000000..ee7abbce8e
--- /dev/null
+++ b/python/python3-setuptools-rust-opt/python3-setuptools-rust-opt.info
@@ -0,0 +1,10 @@
+PRGNAM="python3-setuptools-rust-opt"
+VERSION="1.6.0"
+HOMEPAGE="https://github.com/PyO3/setuptools-rust/"
+DOWNLOAD="https://github.com/PyO3/setuptools-rust/archive/v1.6.0/setuptools-rust-1.6.0.tar.gz"
+MD5SUM="5ea540f8e94abcdadb8e70920488958b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="python3-setuptools-opt typing-extensions python3-semantic-version"
+MAINTAINER="fourtysixandtwo"
+EMAIL="fourtysixandtwo@sliderr.net"
diff --git a/python/python3-setuptools-rust-opt/slack-desc b/python/python3-setuptools-rust-opt/slack-desc
new file mode 100644
index 0000000000..b4b875375d
--- /dev/null
+++ b/python/python3-setuptools-rust-opt/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+python3-setuptools-rust-opt: python3-setuptools-rust-opt (setuptools-rust installed to /opt)
+python3-setuptools-rust-opt:
+python3-setuptools-rust-opt: setuptools-rust is a plugin for setuptools to build Rust Python
+python3-setuptools-rust-opt: extensions implemented with PyO3 or rust-cpython.
+python3-setuptools-rust-opt:
+python3-setuptools-rust-opt: Installs to /opt/python3.9/site-packages
+python3-setuptools-rust-opt:
+python3-setuptools-rust-opt:
+python3-setuptools-rust-opt: Project URL: https://github.com/PyO3/setuptools-rust/
+python3-setuptools-rust-opt:
+python3-setuptools-rust-opt: